[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Re: [PATCH] also allow use of XZ for Qemu image compression



On Wed, Sep 09, 2009 at 04:16:59PM +0200, Jim Meyering wrote:
> Daniel Veillard wrote:
> >   Okay, I suggest the following patch removing the 2 extra compressors
> > and making sure the package including the daemon, if compiled with qemu
> > has the proper dependancies.
> >   xz package dependancy is IMHO a small price to pay: Size: 443012
> > to garantee reliability and bzip2 and gzip are so standard that it
> > should not be a problem for anybody to list them explicitely.
> 
> The changes to the C code look fine to me.
> However seeing the added dependency on xz makes me wish
> for a "strongly-recommended" sort of tag, rather than
> a hard dependency on a tool that one may never opt to use.

  Hum ... let's not start to discuss core rpm decisions :)
I would say that we drag an impressive list of dependancies on
other libs or low level tools and I doubt any deployement will ever
be able to use them all. Honnestly xz is really one of the less
intrusive of the lot !

> ACK, in spite of that.

  
  Thanks, pushed !

Daniel

-- 
Daniel Veillard      | libxml Gnome XML XSLT toolkit  http://xmlsoft.org/
daniel veillard com  | Rpmfind RPM search engine http://rpmfind.net/
http://veillard.com/ | virtualization library  http://libvirt.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]